updating not sucessful

Asked by Mario Alvisi on 2009-07-12

Binary package hint: gnome-applets

E: /var/cache/apt/archives/gnome-applets-data_2.26.1-0ubuntu1_all.deb: subprocess dpkg-deb --fsys-tarfile returned error exit status 2

ubuntu 9.04

ProblemType: Package
Architecture: i386
DistroRelease: Ubuntu 9.04
ErrorMessage: subprocess dpkg-deb --fsys-tarfile returned error exit status 2
MediaBuild: Ubuntu 9.04 "Jaunty Jackalope" - Release i386 (20090420.1)
Package: gnome-applets-data 2.26.0-0ubuntu4
PackageArchitecture: all
SourcePackage: gnome-applets
Title: package gnome-applets-data 2.26.0-0ubuntu4 failed to install/upgrade: subprocess dpkg-deb --fsys-tarfile returned error exit status 2
Uname: Linux 2.6.28-11-generic i686

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu update-manager Edit question
Assignee:
No assignee Edit question
Solved by:
marcobra (Marco Braida)
Solved:
2009-07-13
Last query:
2009-07-13
Last reply:
2009-07-12

This question was originally filed as bug #398369.

Mario Alvisi (mario-alvisi) said : #1
Sebastien Bacher (seb128) said : #2

the issue is rather a download one that a bug

Mario Alvisi (mario-alvisi) said : #3

Thaks Sebastien for the kind answer, I'm really newby to Ubuntu and Linux, where to clear these corrupted files from download and try to download again?

Thanjs and sorry to disturb

http://ubuntuforums.org/showthread.php?t=863056

Seems to nail it.

You could force instal it but I'd try the more graceful method. Sounds like one of your files is out of whack. BACKUP ALL TEXT FILES YOU EDIT BEFORE EDITTING.

Mario please try to dress your packages status by doing this...

Open a Terminal from the menu Applications → Accessories → Terminal and type:
(if the system ask you a password give your user password, you will not see nothing when you type it, then press enter)

sudo dpkg --clear-avail
sudo apt-get update

then to update and upgrade and also check pending or missing packages, still using terminal type:

sudo apt-get -f install
sudo apt-get --fix-missing install
sudo apt-get clean
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
sudo apt-get clean
sudo apt-get autoremove

Hope this helps

Mario Alvisi (mario-alvisi) said : #6

Thanks marcobra (Marco Braida), that solved my question.